package cn.nhyw.xxpzgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywxmxxDao")
public class NhywxmxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywxmxx(Map map) throws SQLException{
		this.insert("insert_Nhywxmxx",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywxmxx(List batch) throws SQLException{
		this.insert("batch_insert_Nhywxmxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywxmxx(Map map) throws SQLException{
		return this.update("update_Nhywxmxx",map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywxmxx(Map map) throws SQLException{
		return this.delete("delete_Nhywxmxx",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywxmxx(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywxmxx",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywxmxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywxmxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywxmxx(Map map) throws SQLException{
		return this.queryForPage("query_Nhywxmxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywxmxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywxmxx",map);
	}

}
